Bug 58932 - You don't have any cards defined.
Summary: You don't have any cards defined.
Status: RESOLVED FIXED
Alias: None
Product: flashkard
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Scott Wheeler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-25 19:06 UTC by Roger Oberholtzer
Modified: 2003-07-07 08:54 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
This is a set of cards. (3.83 KB, text/plain)
2003-05-30 17:57 UTC, Roger Oberholtzer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roger Oberholtzer 2003-05-25 19:06:46 UTC
Version:           1.0 (using KDE KDE 3.1.2)
Installed from:    Gentoo Packages
Compiler:          gcc 
OS:          Linux

I have a simple set of flash cards in a file. The program shows them to me
and I can edit, save and re-read them. However, when I want to start a quiz.
I get a pop-up window with:

	You don't have any cards defined.

Even though there are 100 shown in the program.

I also tried making a new set and enteres a few cards, but I got the same responst.

So, I am unable ti use the program as it does not actually run a quiz.

It is a 'generic' compils, amd it seems the rest of 3.1.2 is working for me.
Comment 1 Roger Oberholtzer 2003-05-30 17:57:01 UTC
Created attachment 1679 [details]
This is a set of cards.

This is a set of cards. It gets read in OK, but the error
persists.
Comment 2 Scott Wheeler 2003-05-30 18:13:30 UTC
Subject: KDE_3_1_BRANCH: kdeedu/flashkard/flashkard

CVS commit by wheeler: 

Oops, this one slipped into the branch too...

CCMAIL:58932-done@bugs.kde.org


  M +1 -1      flashkard.cpp   1.25.2.2


--- kdeedu/flashkard/flashkard/flashkard.cpp  #1.25.2.1:1.25.2.2
@@ -388,5 +388,5 @@ void FlashKard::showQuiz()
 {
   CardList list = data->cardList();
-  if(list.isEmpty()) {
+  if(!list.isEmpty()) {
     if(quiz) {
 


Comment 3 Jan Ulrich Hasecke 2003-07-07 08:54:41 UTC
This bug is still in the debian package on download.kde.org stable latest.